KPropsDlgPlugin Class Reference

`#include <kpropertiesdialog.h>`

Inheritance diagram for KPropsDlgPlugin:

## Public Slots

void | setDirty ()

## Signals

void | changed ()

## Public Member Functions

| KPropsDlgPlugin (KPropertiesDialog *_props)
virtual void | applyChanges ()
void | setDirty (bool b)
bool | isDirty () const

## Static Public Member Functions

static bool | isDesktopFile (KFileItem *_item)

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Protected Attributes

KPropertiesDialog * | properties
int | fontHeight

## Detailed Description

A Plugin in the Properties dialog This is an abstract class.

You must inherit from this class to build a new kind of tabbed page for the KPropertiesDialog. A plugin in itself is just a library containing code, not a dialog's page. It's up to the plugin to insert pages into the parent dialog.

To make a plugin available, define a service that implements the KPropsDlg/Plugin servicetype, as well as the mimetypes for which the plugin should be created. For instance, ServiceTypes=KPropsDlg/Plugin,text/html,application/x-mymimetype.

You can also include X-KDE-Protocol=file if you want that plugin to be loaded only for local files, for instance.

Definition at line 437 of file kpropertiesdialog.h.

## Constructor & Destructor Documentation

KPropsDlgPlugin::KPropsDlgPlugin | ( | KPropertiesDialog * | _props | ) |

Constructor To insert tabs into the properties dialog, use the add methods provided by KDialogBase (the properties dialog is a KDialogBase).

Definition at line 606 of file kpropertiesdialog.cpp.

## Member Function Documentation

void KPropsDlgPlugin::applyChanges | ( |  | ) |

virtual

Applies all changes to the file.

This function is called when the user presses 'Ok'. The last plugin inserted is called first.

Reimplemented in KApplicationPropsPlugin, KExecPropsPlugin, KDesktopPropsPlugin, KDevicePropsPlugin, KBindingPropsPlugin, KURLPropsPlugin, KFilePermissionsPropsPlugin, KFilePropsPlugin, KFileSharePropsPlugin, and KFileMetaPropsPlugin.

Definition at line 659 of file kpropertiesdialog.cpp.

void KPropsDlgPlugin::changed | ( |  | ) |

signal

Emit this signal when the user changed anything in the plugin's tabs.

The hosting PropertiesDialog will call applyChanges only if the PropsPlugin has emitted this signal before.

bool KPropsDlgPlugin::isDesktopFile | ( | KFileItem * | _item | ) |

static

Convenience method for most ::supports methods.

Returns
  true if the file is a local, regular, readable, desktop file

Definition at line 620 of file kpropertiesdialog.cpp.

## Member Data Documentation

KPropertiesDialog* KPropsDlgPlugin::properties

protected

Pointer to the dialog.

Definition at line 480 of file kpropertiesdialog.h.

The documentation for this class was generated from the following files:

- kpropertiesdialog.h
- kpropertiesdialog.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys